# stopRecording

Stops an in-progress screen recording that was previously initiated by the `startRecording` command. This command takes no arguments.

{% hint style="info" %}
`stopRecording` does not fail if no recording is in progress. If your flow starts recording conditionally, do not rely on `stopRecording` to fail when no recording was started.
{% endhint %}

### Usage examples

The following example shows how to stop a recording within a test Flow after an action is performed.

```yaml
appId: yourAppId
---
- launchApp
- startRecording: my_recording.mp4
- tapOn: "Login"
- stopRecording
```

### Related commands

* [startRecording](/reference/commands-available/startrecording.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.maestro.dev/reference/commands-available/stoprecording.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
